Bug 1290415 - Error: Unable to retrieve volume limit information when accessing System Defaults in Horizon
Error: Unable to retrieve volume limit information when accessing System Defa...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-cinder (Show other bugs)
trunk
Unspecified Unspecified
high Severity medium
: GA
: Liberty
Assigned To: Eric Harney
nlevinki
:
Depends On: 1272572
Blocks: 1282253
  Show dependency treegraph
 
Reported: 2015-12-10 08:10 EST by Javier Peña
Modified: 2016-05-18 13:20 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1272572
Environment:
Last Closed: 2016-05-18 13:20:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 239109 None None None Never

  None (edit)
Description Javier Peña 2015-12-10 08:10:53 EST
+++ This bug was initially created as a clone of Bug #1272572 +++

Description of problem:
When going to System->Defaults in Horizon an 'Error: Unable to retrieve volume limit information.' shows up. 
Cinder logs show the following:
2015-10-16 19:00:05.262 25704 ERROR cinder.api.middleware.fault [req-79120e7c-360e-4694-a132-e409c4edc2cb 81711f9c9eb24da292ed59647041c422 741b6051f5064e17a3418be64e6a3fcd - - -] Caught error: Authorization failed: Unable to establish connection to http://localhost:5000/v3/auth/tokens
 
Seen in a Packstack installation on Mitaka-1 test day. A similar fix to what is done in tripleo-heat-templates is required for Packstack.
Comment 1 Javier Peña 2015-12-10 12:36:00 EST
After https://review.openstack.org/253480 was merged, Cinder no longer needed the keymgr/encryption_auth_url parameter set to avoid displaying the error message.

However, it seems to require a v3 URL for keystone_token/auth_uri or it still shows the error from time to time.
Comment 2 Javier Peña 2016-02-23 07:29:25 EST
I have managed to fix the issue on a system installed with RDO Liberty by upgrading the Cinder packages to the latest versions available from Delorean:

python-cinderclient-1.4.1-0.20160211140554.2cb21ee.el7.centos.noarch
python-cinder-7.0.2-0.20160217192718.1a0bf37.el7.centos.noarch
openstack-cinder-7.0.2-0.20160217192718.1a0bf37.el7.centos.noarch

My guess is that it may be related to the following Cinder commit, which was merged on February 9: https://github.com/openstack/cinder/commit/bd3b972e72bb17b0a0f08f972a7bcdb39c6dd35f

I'm reassigning this to Cinder, to make sure it is properly tracked and included in the next release.

Note You need to log in before you can comment on or make changes to this bug.